跳转到主要内容
GET
/
v1
/
wallet
/
{chain}
/
{walletAddress}
/
pnl
钱包 - 盈亏摘要
curl --request GET \
  --url https://api.chainstream.io/v1/wallet/{chain}/{walletAddress}/pnl \
  --header 'Authorization: Bearer <token>'
{
  "walletAddress": "54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy",
  "resolution": "1d",
  "tokens": "15126",
  "buys": "1515999",
  "sells": "1011994",
  "totalTrades": "2527993",
  "wins": "438944",
  "losses": "348350",
  "winRate": "0.5575",
  "buyAmountInUsd": "101371192.39",
  "sellAmountInUsd": "60369621.10",
  "totalCostInUsd": "225944253.64",
  "realizedProfitInUsd": "802583.91",
  "realizedProfitRatio": "0.0035521324",
  "unrealizedProfitInUsd": "1017625099.17",
  "unrealizedProfitRatio": "4.5038768756",
  "totalProfitInUsd": "1018427683.08",
  "totalProfitRatio": "4.5074290081",
  "avgProfitPerTradeInUsd": "402.86",
  "updatedAt": "2026-02-04T11:42:50.000Z"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络中列出的区块链名称

可用选项:
sol,
bsc,
eth
walletAddress
string
必填

钱包地址

示例:

"54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy"

查询参数

resolution
enum<string>

盈亏时间周期(1d、7d、30d 或 all)

可用选项:
1d,
7d,
30d,
all

响应

200 - application/json
walletAddress
string
必填

钱包地址

示例:

"54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy"

resolution
enum<string>
必填

盈亏时间周期

可用选项:
1d,
7d,
30d,
all
示例:

"1d"

tokens
string
必填

交易的不同代币数量

示例:

"15126"

buys
string
必填

买入交易总次数

示例:

"1515999"

sells
string
必填

卖出交易总次数

示例:

"1011994"

totalTrades
string
必填

交易总次数(买入+卖出)

示例:

"2527993"

wins
string
必填

盈利仓位数量

示例:

"438944"

losses
string
必填

亏损仓位数量

示例:

"348350"

winRate
string
必填

胜率(盈利数/总平仓数)

示例:

"0.5575"

buyAmountInUsd
string
必填

买入总金额(美元)

示例:

"101371192.39"

sellAmountInUsd
string
必填

卖出总金额(美元)

示例:

"60369621.10"

totalCostInUsd
string
必填

总成本(美元)

示例:

"225944253.64"

realizedProfitInUsd
string
必填

已实现盈利(美元)

示例:

"802583.91"

realizedProfitRatio
string
必填

已实现盈利比率

示例:

"0.0035521324"

unrealizedProfitInUsd
string
必填

未实现盈利(美元)

示例:

"1017625099.17"

unrealizedProfitRatio
string
必填

未实现盈利比率

示例:

"4.5038768756"

totalProfitInUsd
string
必填

总盈利(美元,已实现+未实现)

示例:

"1018427683.08"

totalProfitRatio
string
必填

总盈利比率

示例:

"4.5074290081"

avgProfitPerTradeInUsd
string
必填

每笔交易平均盈利(美元)

示例:

"402.86"

updatedAt
string

最后数据更新时间戳

示例:

"2026-02-04T11:42:50.000Z"